#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xec8d157c, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x3d4c5a80, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x7715c25c, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x370f64b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xe6e1cfb0, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2f2cc49a, "skb_copy_bits" },
	{ 0xc3200f75, "__nlmsg_put" },
	{ 0xc85bb3cb, "netdev_adjacent_change_commit" },
	{ 0x4a2d1a6f, "eth_mac_addr" },
	{ 0x1a73802, "skb_put" },
	{ 0xc439414f, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb300746b, "ip6_dst_hoplimit" },
	{ 0x147216f4, "param_ops_ushort" },
	{ 0x4eb17008, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x10af8fb1, "udp_sock_create4" },
	{ 0xfde1b4df, "udp_tunnel6_xmit_skb" },
	{ 0xa2f78875, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xbce5c3b, "__unregister_nexthop_notifier" },
	{ 0xbe4eba85, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4e6cf9, "eth_validate_addr" },
	{ 0xed3a3c8f, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbc38d001, "rtnl_create_link" },
	{ 0x944cc4df, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x1bff4325, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3bf1d3db, "ether_setup" },
	{ 0xfc11a106, "udp_tunnel_drop_rx_port" },
	{ 0xb2130ead, "netdev_upper_dev_link" },
	{ 0x3eaf8264, "pskb_expand_head" },
	{ 0xbc55ee95, "register_pernet_subsys" },
	{ 0x8daaa79e, "dev_addr_mod" },
	{ 0x835327b5, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xa52f4680, "__alloc_skb" },
	{ 0x46bf21f3, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe343bc4, "eth_gro_complete" },
	{ 0xebf2846, "rtnl_set_sk_err" },
	{ 0x42cce29a, "eth_gro_receive" },
	{ 0xe120dece, "rtnl_configure_link" },
	{ 0xb95c408b, "skb_tunnel_check_pmtu" },
	{ 0x6bb027bc, "udp_tunnel_dst_lookup" },
	{ 0xfcd8c8df, "rtnl_unicast" },
	{ 0xbbafec2a, "peernet2id" },
	{ 0x6b7a6f8d, "__skb_get_hash_net" },
	{ 0x28a46792, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xa346db27, "__dev_get_by_index" },
	{ 0x3c645200, "rtnl_link_unregister" },
	{ 0x36993db1, "ipv6_stub" },
	{ 0x2c17f79d, "skb_pull" },
	{ 0x921cf03b, "gro_find_complete_by_type" },
	{ 0xf4448428, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcd30dcd5, "dev_get_by_index_rcu" },
	{ 0x3ae9f773, "gro_cells_receive" },
	{ 0x7990e28b, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xd7f0d619, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x431d436, "__rtnl_register_many" },
	{ 0xd7ba240c, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfd101a53, "ip_mc_join_group" },
	{ 0x66ab15c7, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xad26499f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x599d1d99, "ethtool_op_get_link" },
	{ 0x39278787, "nexthop_find_by_id" },
	{ 0x4048bb60, "arp_create" },
	{ 0xa101d237, "__ethtool_get_link_ksettings" },
	{ 0xac46e7e2, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xcb957c8e, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe9883f6b, "netdev_adjacent_change_abort" },
	{ 0x17240645, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb67944c6, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x943cc553, "__iptunnel_pull_header" },
	{ 0xdc70a6bd, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xdf5780e0, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x4cef50, "setup_udp_tunnel_sock" },
	{ 0xda6e3b50, "udp_sock_create6" },
	{ 0x63d202d9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x94dd9cbf, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x91403b3a, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x917e592a, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc5e0effd, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65b9da99, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x90460bb7, "param_ops_bool" },
	{ 0x5029d0b3, "udp_tun_rx_dst" },
	{ 0x4e02bbb6, "__kmalloc_cache_noprof" },
	{ 0xdacde453, "rtnl_notify" },
	{ 0xb9d21558, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa7874b6a, "__netif_rx" },
	{ 0x124ca6a6, "skb_clone" },
	{ 0x5fe0afd, "metadata_dst_alloc" },
	{ 0x539b8b5, "dst_release" },
	{ 0xc2d70102, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xabbece73, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2ba7c5d8, "register_nexthop_notifier" },
	{ 0xeb8e36, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd18eb565, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xe7b2b07f, "gro_find_receive_by_type" },
	{ 0x2b5f0919, "netdev_core_stats_inc" },
	{ 0xc693ac8d, "kmalloc_caches" },
	{ 0x754401b6, "netdev_info" },
	{ 0xc25db6c9, "neigh_lookup" },
	{ 0x7a4e4cd6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25a0a45, "register_netdevice" },
	{ 0x337cd991, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A1249CFE868AF78C9B54DCD");
MODULE_INFO(rhelversion, "10.0");
