#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qdio_inspect_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_inspect_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_get_ssqd_desc, "_gpl", "");
KSYMTAB_FUNC(qdio_shutdown, "_gpl", "");
KSYMTAB_FUNC(qdio_free, "_gpl", "");
KSYMTAB_FUNC(qdio_allocate, "_gpl", "");
KSYMTAB_FUNC(qdio_establish, "_gpl", "");
KSYMTAB_FUNC(qdio_activate, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_input_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_add_bufs_to_output_queue, "_gpl", "");
KSYMTAB_FUNC(qdio_start_irq, "", "");
KSYMTAB_FUNC(qdio_stop_irq, "", "");
KSYMTAB_FUNC(qdio_free_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_alloc_buffers, "_gpl", "");
KSYMTAB_FUNC(qdio_reset_buffers, "_gpl", "");

SYMBOL_CRC(qdio_inspect_input_queue, 0x683cba36, "_gpl");
SYMBOL_CRC(qdio_inspect_output_queue, 0xcbd204f2, "_gpl");
SYMBOL_CRC(qdio_get_ssqd_desc, 0x7bf09d84, "_gpl");
SYMBOL_CRC(qdio_shutdown, 0x05eb0861, "_gpl");
SYMBOL_CRC(qdio_free, 0xb4dd2c65, "_gpl");
SYMBOL_CRC(qdio_allocate, 0x4908b4bd, "_gpl");
SYMBOL_CRC(qdio_establish, 0x8f974145, "_gpl");
SYMBOL_CRC(qdio_activate, 0x585a4188, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_input_queue, 0xe99c3337, "_gpl");
SYMBOL_CRC(qdio_add_bufs_to_output_queue, 0x29dcdbbe, "_gpl");
SYMBOL_CRC(qdio_start_irq, 0xd345520d, "");
SYMBOL_CRC(qdio_stop_irq, 0x3c0d53aa, "");
SYMBOL_CRC(qdio_free_buffers, 0x77abf1a3, "_gpl");
SYMBOL_CRC(qdio_alloc_buffers, 0x1c4445c0, "_gpl");
SYMBOL_CRC(qdio_reset_buffers, 0xd4c12f24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbbcc9dc, "ccw_device_halt" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x26f58918, "chsc_sadc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc41a0c51, "chsc_ssqd" },
	{ 0xb0e8a6cb, "debug_set_level" },
	{ 0xe898caa8, "debug_register" },
	{ 0x7446dc45, "ccw_device_start" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d59cc02, "seq_hex_dump" },
	{ 0xcbc843a4, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7e1cc4c8, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9aa3f756, "ccw_device_get_schid" },
	{ 0x5abd1319, "_dev_info" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xe05f555a, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbf9e910f, "ccw_device_get_ciw" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x26e54e0e, "kmem_cache_free" },
	{ 0x8cd2ef7f, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf8bcee47, "ccw_device_clear" },
	{ 0x841a5a37, "kmem_cache_alloc_noprof" },
	{ 0xad3dfa13, "lgr_info_log" },
	{ 0xf27d4857, "__kmem_cache_create_args" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd3e14380, "ccw_device_set_options_mask" },
	{ 0x9009172f, "debug_hex_ascii_view" },
	{ 0x3c2f9e13, "debug_unregister" },
	{ 0xd1a949f9, "seq_read" },
	{ 0xf06aef4d, "debugfs_create_file" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xabbd9dad, "debug_event_common" },
	{ 0x4e02bbb6, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96e04b01, "seq_printf" },
	{ 0x7bb2e642, "single_release" },
	{ 0xae8248bc, "ccw_device_set_options" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0xde919a1c, "single_open" },
	{ 0x2f0c1cfe, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x995395c7, "debug_register_view" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc693ac8d, "kmalloc_caches" },
	{ 0xf0d30fa5, "kmem_cache_destroy" },
	{ 0x337cd991, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8E8857653F69A61D779843B");
MODULE_INFO(rhelversion, "10.0");
