#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0xee60c286, "");
SYMBOL_CRC(uart_update_timeout, 0x71d917e2, "");
SYMBOL_CRC(uart_get_baud_rate, 0x14c89f6d, "");
SYMBOL_CRC(uart_get_divisor, 0xb7be8d88, "");
SYMBOL_CRC(uart_xchar_out, 0x2073377a, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x59395d4a, "");
SYMBOL_CRC(uart_resume_port, 0xd48b53d8, "");
SYMBOL_CRC(uart_register_driver, 0x81711b57, "");
SYMBOL_CRC(uart_unregister_driver, 0xca9d65c4, "");
SYMBOL_CRC(uart_console_device, 0xaf264bc9, "_gpl");
SYMBOL_CRC(uart_match_port, 0x18cd1e22, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x4be56f28, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0x06590711, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x9be95b9f, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0xcee7c6d6, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0xfc1d9ba4, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x45dac255, "");
SYMBOL_CRC(uart_remove_one_port, 0xf85f785c, "");
SYMBOL_CRC(uart_read_port_properties, 0xef034bc8, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0x0826e294, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x65050a71, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x9dbf5942, "dev_set_name" },
	{ 0x5e937a7d, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb138ca99, "platform_get_irq" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc8885025, "tty_kref_put" },
	{ 0x1c6ac8f9, "gpiod_set_value_cansleep" },
	{ 0x6a73d983, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4e015fbf, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xa4390d65, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x479b2d51, "tty_standard_install" },
	{ 0x109e93ad, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9a4ffb74, "tty_hangup" },
	{ 0xdb979680, "tty_unregister_driver" },
	{ 0xdceb75b5, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb5387afa, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x40927d04, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x722d6d86, "tty_port_tty_wakeup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x34b29c96, "_dev_alert" },
	{ 0x7979dc6c, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xbc691657, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x3b138295, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c74b83e, "device_add" },
	{ 0x2b367947, "tty_ldisc_ref" },
	{ 0x625275cc, "tty_vhangup" },
	{ 0x39323d26, "irq_get_irq_data" },
	{ 0x491ed8a0, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x2016d331, "tty_port_destroy" },
	{ 0xb0aa042f, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0xbf03d088, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x292a5955, "driver_unregister" },
	{ 0x241b7764, "__dev_fwnode_const" },
	{ 0x4ad87477, "tty_ldisc_deref" },
	{ 0xae9a4d20, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7a9987a2, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf7f2354, "tty_port_register_device_attr_serdev" },
	{ 0xa90225e3, "tty_port_close" },
	{ 0xe025bd92, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1e4d5ea3, "_dev_notice" },
	{ 0x5f602660, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x14cb5ba0, "tty_register_driver" },
	{ 0x3a0f9cf8, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e02bbb6, "__kmalloc_cache_noprof" },
	{ 0xe36b494a, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x96e04b01, "seq_printf" },
	{ 0x1f2c1cd9, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x6512b919, "register_console" },
	{ 0x4965091e, "dev_err_probe" },
	{ 0x94507711, "__seq_puts" },
	{ 0x36838c03, "fwnode_irq_get" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x88c47184, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x82cc2e48, "tty_driver_kref_put" },
	{ 0x9ecf3479, "__dev_fwnode" },
	{ 0xc693ac8d, "kmalloc_caches" },
	{ 0x5ddd1767, "bus_register" },
	{ 0x5fcee3b2, "tty_port_tty_get" },
	{ 0x337cd991, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA8B0992F3DC8950164AD7F");
MODULE_INFO(rhelversion, "10.0");
