#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xdaeaa779, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x62972060, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x57a96ed8, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x94652327, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x70b7b9e3, "_gpl");
SYMBOL_CRC(br_forward, 0xabe3b7ad, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x4b8af8d4, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x588ba933, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xbbc12682, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x059fe474, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x31c7fa00, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x6b3f6346, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x83533c9f, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x196c6c14, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xca7644b0, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x9355adab, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x1c867d44, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xe7e6b02e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x51b8c262, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x3b285d8e, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x40280e36, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xa22f5a50, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x12de18ab, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x2fbbf015, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x32eb3e20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2dd4a18b, "netdev_lower_get_next" },
	{ 0x4e8a3231, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3f53a80a, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x2f2cc49a, "skb_copy_bits" },
	{ 0xc3200f75, "__nlmsg_put" },
	{ 0xa7dec3fd, "switchdev_port_attr_set" },
	{ 0xb292fa32, "ipv6_mc_check_mld" },
	{ 0x1a73802, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xc439414f, "call_switchdev_notifiers" },
	{ 0xae6b0107, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xef71ee3b, "netdev_update_features" },
	{ 0x4eb17008, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xae38028e, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa33e3f70, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x16c0cfbe, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xcbd4d937, "dev_uc_del" },
	{ 0xc0db8263, "netpoll_send_skb" },
	{ 0xa2f78875, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4a9d047, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xda8c8227, "switchdev_port_obj_act_is_deferred" },
	{ 0x2323481a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xba9d2a83, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x944cc4df, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x5e7a09c6, "netdev_state_change" },
	{ 0xefe1fb34, "__pskb_copy_fclone" },
	{ 0xd962cf35, "__dev_get_by_name" },
	{ 0x3bf1d3db, "ether_setup" },
	{ 0xd61da548, "netdev_err" },
	{ 0x3eaf8264, "pskb_expand_head" },
	{ 0xbc55ee95, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd5ad096b, "brioctl_set" },
	{ 0x8daaa79e, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x82ef7103, "arp_xmit" },
	{ 0x24c32f8f, "__traceiter_br_mdb_full" },
	{ 0xd03c01cf, "alloc_netdev_mqs" },
	{ 0xdfffb0e5, "passthru_features_check" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf140c5e7, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb9e4957e, "rtnl_af_register" },
	{ 0x7cce902d, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa52f4680, "__alloc_skb" },
	{ 0xebf2846, "rtnl_set_sk_err" },
	{ 0x62a5b8a, "skb_vlan_pop" },
	{ 0xfcd8c8df, "rtnl_unicast" },
	{ 0x4daa8716, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0x8b6d476a, "ipv6_dev_get_saddr" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x43be292c, "nla_reserve_64bit" },
	{ 0xe9a9d13f, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa346db27, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x3c645200, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x92dbd86e, "dev_get_port_parent_id" },
	{ 0xbc806186, "init_net" },
	{ 0x36993db1, "ipv6_stub" },
	{ 0xede448f4, "inet_confirm_addr" },
	{ 0x2c17f79d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x59597703, "sysfs_remove_link" },
	{ 0x404dee33, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2e567edd, "rtnl_af_unregister" },
	{ 0xf4448428, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x612554cb, "arp_send" },
	{ 0xcd30dcd5, "dev_get_by_index_rcu" },
	{ 0x77ff80d3, "__tracepoint_br_fdb_add" },
	{ 0x53010b52, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x7990e28b, "skb_push" },
	{ 0x26e54e0e, "kmem_cache_free" },
	{ 0x80644334, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd7f0d619, "netdev_upper_dev_unlink" },
	{ 0x6faef52f, "netif_receive_skb" },
	{ 0xff182e8, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7d153e98, "llc_mac_hdr_init" },
	{ 0x431d436, "__rtnl_register_many" },
	{ 0xd7ba240c, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x41b46a26, "kobject_init_and_add" },
	{ 0x26a3bdda, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xecc99d42, "ns_capable" },
	{ 0x1ed28255, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x166516e0, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x599d1d99, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x4048bb60, "arp_create" },
	{ 0xa101d237, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc3a405ac, "stp_proto_register" },
	{ 0x3e6d9d64, "__tracepoint_br_fdb_update" },
	{ 0xae1c7811, "sysfs_rename_link_ns" },
	{ 0xcb957c8e, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x841a5a37, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xa5b56c4b, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdc70a6bd, "__pskb_pull_tail" },
	{ 0x4c0cd84d, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xdf5780e0, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4a94cdf5, "ip_mc_check_igmp" },
	{ 0x4dfff43, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xf27d4857, "__kmem_cache_create_args" },
	{ 0x405a9107, "switchdev_port_obj_del" },
	{ 0xafcbc98c, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xefccb4ed, "kobject_create_and_add" },
	{ 0x63d202d9, "skb_trim" },
	{ 0xe1ccb715, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x94dd9cbf, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xdcdbb759, "__ip_mc_inc_group" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xbf3a0f9c, "netdev_walk_all_upper_dev_rcu" },
	{ 0x97cc15e2, "sysfs_remove_group" },
	{ 0x8f623175, "__traceiter_br_fdb_external_learn_add" },
	{ 0xc241aaf2, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9b19aa5, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9b09920d, "__netpoll_setup" },
	{ 0x5c7354aa, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1507bc4d, "vlan_vid_add" },
	{ 0x65b9da99, "neigh_destroy" },
	{ 0x48c35c9e, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xe81fc647, "kobject_del" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xad3e17e5, "call_netdevice_notifiers" },
	{ 0x30c0ccd5, "is_skb_forwardable" },
	{ 0xc66dadf3, "vlan_vid_del" },
	{ 0x3f0aca92, "dev_set_allmulti" },
	{ 0xa98eeb2c, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4e02bbb6, "__kmalloc_cache_noprof" },
	{ 0x4794cd5b, "netdev_master_upper_dev_get" },
	{ 0x68bd2684, "ipv6_dev_mc_inc" },
	{ 0xdacde453, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea7b24d5, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x57526e59, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x124ca6a6, "skb_clone" },
	{ 0x5fe0afd, "metadata_dst_alloc" },
	{ 0x539b8b5, "dst_release" },
	{ 0xe8a8da39, "netif_carrier_on" },
	{ 0xd82c56ce, "kobject_uevent" },
	{ 0xc2d70102, "arp_tbl" },
	{ 0x8c3d758a, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xcbc7e324, "netdev_rx_handler_register" },
	{ 0xea6c5924, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf324cf0a, "netif_set_tso_max_size" },
	{ 0xa7577320, "dev_disable_lro" },
	{ 0x1a24861d, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x29b8b90f, "dev_get_flags" },
	{ 0xd18eb565, "__rtnl_unregister_many" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x891ff2cc, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x9d3677e6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x57a8dc67, "nf_queue" },
	{ 0x5088d7bf, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xbdfbd21c, "skb_ext_add" },
	{ 0xb8f685d3, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xdc62c65d, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc693ac8d, "kmalloc_caches" },
	{ 0xc25db6c9, "neigh_lookup" },
	{ 0xf0d30fa5, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1f65af7b, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25a0a45, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x337cd991, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "99CFE5CDA5269B4066A89E4");
MODULE_INFO(rhelversion, "10.0");
