#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x732fccf6, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x52271d4c, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xc9f28fa3, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xc6a86730, "");
SYMBOL_CRC(gss_mech_put, 0x5611af89, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x56df6640, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x55015099, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40110eb, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x1c3c7dc2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf4e247ba, "vmemmap" },
	{ 0xfdad16a5, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xcc57227, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1fea626b, "bpf_trace_run4" },
	{ 0x31839a11, "xdr_stream_decode_opaque_auth" },
	{ 0xe434ed97, "param_ops_uint" },
	{ 0xae280c1d, "xdr_write_pages" },
	{ 0x50d1e2ad, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7c467daf, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xf9bb9f40, "xdr_inline_decode" },
	{ 0xa045127e, "cache_create_net" },
	{ 0x61b03829, "rpcauth_destroy_credcache" },
	{ 0xb241ede, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x43cabede, "bpf_trace_run6" },
	{ 0xcf6efa3b, "rpc_net_ns" },
	{ 0x94d78567, "read_bytes_from_xdr_buf" },
	{ 0xe92a9318, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xef052121, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x19ea9a19, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xff211803, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x931520cd, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xdb82b99, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xaba5fd10, "xdr_truncate_decode" },
	{ 0x5974cd00, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4545b7e6, "__xdr_commit_encode" },
	{ 0xe9c087a6, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x6035d435, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x92c31397, "__put_cred" },
	{ 0xbc55ee95, "register_pernet_subsys" },
	{ 0xd73a01c6, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x621c3f88, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x5201e523, "rpc_release_client" },
	{ 0x4df09270, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xeff18f6c, "svc_auth_register" },
	{ 0xa811da0d, "xdr_stream_encode_opaque_auth" },
	{ 0xf372de1e, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x95dfa534, "rpc_destroy_pipe_data" },
	{ 0x2d3a8bd0, "__free_pages" },
	{ 0x848846dc, "rpc_pipe_generic_upcall" },
	{ 0x600e972, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x544ac2a7, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x24ed9a50, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa15da37d, "perf_trace_run_bpf_submit" },
	{ 0xf4173db, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xeeb3c9b8, "rpcauth_init_credcache" },
	{ 0x697b7e22, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x50541659, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x300cb8fe, "trace_event_reg" },
	{ 0x5c30994b, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3abadae1, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5451df91, "rpc_create" },
	{ 0x2ddea115, "bpf_trace_run1" },
	{ 0x439328bb, "rpc_call_sync" },
	{ 0xf1965d17, "from_kuid" },
	{ 0xcb957c8e, "unregister_pernet_subsys" },
	{ 0xd8bfbe7, "rpc_queue_upcall" },
	{ 0xb2ab8265, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcf871cd6, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x39be4e96, "svcauth_unix_set_client" },
	{ 0xd865fcda, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x9a078bfa, "make_kgid" },
	{ 0x14c6ad6a, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3cfc9500, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xb90d0ea6, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4fabb499, "bpf_trace_run3" },
	{ 0xbd51a90d, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x6a338d01, "rpc_mkpipe_dentry" },
	{ 0xd9489a60, "rpc_mkpipe_data" },
	{ 0x3911ad05, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa2b6f8ed, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe5f540b6, "cache_register_net" },
	{ 0x66cac93d, "init_user_ns" },
	{ 0x9eb8169a, "xdr_inline_pages" },
	{ 0xded4348, "__folio_put" },
	{ 0x60f3abe5, "remove_proc_entry" },
	{ 0x4e02bbb6, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x8938a7ed, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x49b00254, "alloc_pages_noprof" },
	{ 0x240cae33, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x21cfde24, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x3ebc399e, "from_kuid_munged" },
	{ 0x1c7333ee, "rpcauth_init_cred" },
	{ 0xc1a6a606, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc69f20ee, "cache_destroy_net" },
	{ 0xe7041c0b, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xa2a90bea, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x3b5e95db, "sunrpc_cache_update" },
	{ 0xe2ef3ff6, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xc693ac8d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6f948fe8, "auth_domain_put" },
	{ 0x98392771, "rpcauth_unwrap_resp_decode" },
	{ 0xe88f5312, "rpcauth_register" },
	{ 0x337cd991, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.0");
